API reference

Everything, on the record.

Trigger AI workflows from your own code. Authenticate, compose a request, execute — right from the sandbox.

Chats API Early Access

This sandbox allows you to trigger AI Workflows from your own code via our API. Create an authentication token, compose your request, and execute it all from this interface.

Authentication

Navigate to Workflows / API to get access token.

Request Configuration

API Endpoint

https://api.teamday.ai/v1/execute

Request Body

{
  "organizationId": "your-org-id",
  "context": [
    {
      "role": "system",
      "content": "Create new file hello from curl, and write poem there",
      "id": "unique-message-id"
    }
  ]
}

Request Preview (Fetch)

fetch('https://api.teamday.ai/v1/execute', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer your-token'
  },
  body: {
  "organizationId": "your-org-id",
  "context": [
    {
      "role": "system",
      "content": "Create new file hello from curl, and write poem there",
      "id": "unique-message-id"
    }
  ]
}
})

Request Preview (cURL)

curl -X POST https://api.teamday.ai/v1/execute \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer your-token" \
  -d '{"organizationId":"your-org-id","context":[{"role":"system","content":"Create new file hello from curl, and write poem there","id":"unique-message-id"}]}'